(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.3' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     13048,        358]
NotebookOptionsPosition[     11964,        333]
NotebookOutlinePosition[     12358,        349]
CellTagsIndexPosition[     12315,        346]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Assignment 6, Q4, Circular Hydrogen states", "Section",
 CellChangeTimes->{{3.901963154439292*^9, 3.9019631711684732`*^9}, {
   3.907146969934979*^9, 3.907146975665648*^9}, 
   3.907192886601293*^9},ExpressionUUID->"0a906ba8-814c-41cb-818d-\
c81c2f1dd999"],

Cell["\<\
Collection of fundamental constants and definition of Hydrogen wavefunctions\
\>", "Text",
 CellChangeTimes->{
  3.9019633841054907`*^9, {3.9019661127692337`*^9, 3.901966117601019*^9}, {
   3.907147082814732*^9, 3.907147090295753*^9}, {3.907147197276265*^9, 
   3.907147202155164*^9}, {3.907154482349922*^9, 3.907154484503132*^9}, {
   3.9071928886289597`*^9, 
   3.907192888792673*^9}},ExpressionUUID->"863d26c3-80c6-47f6-879e-\
48c484add599"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"hbar", " ", "=", "  ", 
   RowBox[{"1.05457266", "*", 
    SuperscriptBox["10", 
     RowBox[{"-", "34"}]]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"hh", " ", "=", " ", 
   RowBox[{"hbar", "*", "2", "*", "Pi"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"a0", "  ", "=", " ", 
   RowBox[{"5.2917721092", "*", 
    SuperscriptBox["10", 
     RowBox[{"-", "11"}]]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"me", " ", "=", " ", 
   RowBox[{"9.10938291", "*", 
    SuperscriptBox["10", 
     RowBox[{"-", "31"}]]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ee", " ", "=", " ", 
    RowBox[{"1.60217662", "*", 
     SuperscriptBox["10", 
      RowBox[{"-", "19"}]]}]}], ";"}], " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Ryd", "=", 
   RowBox[{"13.6", "*", "ee"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"fact", "[", 
    RowBox[{"n_", ",", "l_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"Factorial", "[", 
     RowBox[{"n", "-", "l", "-", "1"}], "]"}], "/", 
    RowBox[{"(", 
     RowBox[{"2", "*", "n", "*", 
      RowBox[{"Factorial", "[", 
       RowBox[{"n", "+", "l"}], "]"}]}], ")"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"normfact1", "[", 
     RowBox[{"n_", ",", "l_"}], "]"}], ":=", 
    RowBox[{"\[Sqrt]", 
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"2.0", "/", 
          RowBox[{"(", 
           RowBox[{"n", "*", "a0"}], ")"}]}], ")"}], "3"], "*", 
       RowBox[{"fact", "[", 
        RowBox[{"n", ",", "l"}], "]"}]}], ")"}]}]}], ";"}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"spher", "[", 
    RowBox[{"\[Theta]_", ",", "\[Phi]_", ",", "l_", ",", "m_"}], "]"}], ":=", 
   " ", 
   RowBox[{"SphericalHarmonicY", "[", 
    RowBox[{"l", ",", "m", ",", "\[Theta]", ",", "\[Phi]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"rho", "[", 
    RowBox[{"r_", ",", "n_"}], "]"}], " ", ":=", " ", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"2.0", "*", "r"}], ")"}], "/", 
    RowBox[{"(", 
     RowBox[{"n", "*", "a0"}], ")"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"lag", "[", 
     RowBox[{"r_", ",", "n_", ",", "l_"}], "]"}], " ", ":=", " ", 
    RowBox[{"LaguerreL", "[", 
     RowBox[{
      RowBox[{"n", "-", "l", "-", "1"}], ",", 
      RowBox[{
       RowBox[{"2", "*", "l"}], "+", "1"}], ",", 
      RowBox[{"rho", "[", 
       RowBox[{"r", ",", "n"}], "]"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{"psi", "[", 
      RowBox[{
      "r_", ",", "\[Theta]_", ",", "\[Phi]_", ",", "n_", ",", "l_", ",", 
       "m_"}], "]"}], ":=", 
     RowBox[{
      RowBox[{"normfact1", "[", 
       RowBox[{"n", ",", "l"}], "]"}], "*", 
      RowBox[{"Exp", "[", 
       RowBox[{
        RowBox[{"-", 
         RowBox[{"rho", "[", 
          RowBox[{"r", ",", "n"}], "]"}]}], "/", "2.0"}], "]"}], "*", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"rho", "[", 
         RowBox[{"r", ",", "n"}], "]"}], ")"}], "l"], "*", 
      RowBox[{"lag", "[", 
       RowBox[{"r", ",", "n", ",", "l"}], "]"}], "*", 
      RowBox[{"spher", "[", 
       RowBox[{"\[Theta]", ",", "\[Phi]", ",", "l", ",", "m"}], "]"}]}]}], 
    ";"}], "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"psi", "[", 
    RowBox[{
    "r_", ",", "\[Theta]_", ",", "\[Phi]_", ",", "n_", ",", "l_", ",", "m_"}],
     "]"}], ":=", 
   StyleBox["XXXXX",
    FontColor->RGBColor[1, 0, 0]]}], ";"}]}], "Input",
 CellChangeTimes->{{3.9071470967343283`*^9, 3.9071472071212273`*^9}, {
   3.9071472408924627`*^9, 3.907147247099883*^9}, {3.907147280901455*^9, 
   3.90714729411837*^9}, {3.9071474290527782`*^9, 3.907147464320244*^9}, {
   3.907150180696888*^9, 3.90715018091938*^9}, {3.907150414990834*^9, 
   3.9071504190646143`*^9}, {3.9071511778740263`*^9, 3.907151315434388*^9}, {
   3.907151412123396*^9, 3.9071514772840767`*^9}, {3.9071515251217327`*^9, 
   3.907151525303841*^9}, {3.907151624031261*^9, 3.9071516251955442`*^9}, {
   3.907151682198845*^9, 3.90715168800169*^9}, {3.907152430637184*^9, 
   3.907152509590641*^9}, {3.907153946372064*^9, 3.90715394839244*^9}, {
   3.907154208264988*^9, 3.907154213244687*^9}, 3.907154250987286*^9, {
   3.9071924029863977`*^9, 3.907192481961191*^9}, 3.907192565556595*^9, {
   3.907193024214962*^9, 3.90719306241717*^9}, {3.907224969018969*^9, 
   3.9072249699503098`*^9}},ExpressionUUID->"6e844ce8-f7ad-4eac-a028-\
e411e1e409b5"],

Cell["Visualisation of the given state", "Text",
 CellChangeTimes->{
  3.9019633841054907`*^9, {3.9019661207957993`*^9, 3.9019661371011353`*^9}, 
   3.9019663676538277`*^9, {3.9071473377632713`*^9, 3.907147343075583*^9}, {
   3.907193069165964*^9, 
   3.9071930695465918`*^9}},ExpressionUUID->"eb7579af-69c3-4576-9d7a-\
fa0c6559c703"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"npick", ":=", "10"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"llpick", ":=", "9"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"mmpick", ":=", "9"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"rad", "[", 
    RowBox[{"x_", ",", "y_"}], "]"}], ":=", 
   RowBox[{"Sqrt", "[", 
    RowBox[{
     SuperscriptBox["x", "2"], "+", 
     SuperscriptBox["y", "2"]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"\[Phi]", "[", 
     RowBox[{"x_", ",", "y_"}], "]"}], ":=", 
    RowBox[{"ArcTan", "[", 
     RowBox[{"x", ",", "y"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{"dens", "[", 
      RowBox[{"x_", ",", "y_"}], "]"}], ":=", 
     SuperscriptBox[
      RowBox[{"Abs", "[", 
       RowBox[{"psi", "[", 
        RowBox[{
         RowBox[{"rad", "[", 
          RowBox[{"x", ",", "y"}], "]"}], ",", 
         RowBox[{"\[Pi]", "/", "2"}], ",", 
         RowBox[{"\[Phi]", "[", 
          RowBox[{"x", ",", "y"}], "]"}], ",", "npick", ",", 
         RowBox[{"npick", "-", "1"}], ",", 
         RowBox[{"npick", "-", "1"}]}], "]"}], "]"}], "2"]}], ";"}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"dens", "[", 
    RowBox[{"x_", ",", "y_"}], "]"}], ":=", 
   StyleBox["XXXXX",
    FontColor->RGBColor[1, 0, 0]]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"phase", "[", 
    RowBox[{"x_", ",", "y_"}], "]"}], ":=", 
   StyleBox["XXXXX",
    FontColor->RGBColor[1, 0, 0]]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rmax", ":=", 
   RowBox[{"2", " ", "a0", " ", 
    SuperscriptBox["npick", "2"]}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.907147408501862*^9, 3.9071474256247873`*^9}, {
   3.9071474891651287`*^9, 3.907147501314165*^9}, {3.907147540736271*^9, 
   3.907147578417019*^9}, {3.907147610841982*^9, 3.907147615341938*^9}, {
   3.907147665196718*^9, 3.907147706136787*^9}, {3.907147761744349*^9, 
   3.907147800014469*^9}, 3.907150185087091*^9, 3.907150347291938*^9, {
   3.907150675516588*^9, 3.907150675762435*^9}, {3.9071511022150583`*^9, 
   3.907151117635435*^9}, {3.9071513329377317`*^9, 3.9071513663365507`*^9}, {
   3.907151673924959*^9, 3.9071517559939327`*^9}, {3.907151795257593*^9, 
   3.9071517971244593`*^9}, {3.907151833087*^9, 3.9071518351556*^9}, {
   3.907152331011448*^9, 3.907152334523522*^9}, {3.907152420771153*^9, 
   3.907152423278468*^9}, 3.907152464842297*^9, {3.907153469953185*^9, 
   3.9071534756307497`*^9}, {3.907153922309484*^9, 3.90715392247122*^9}, {
   3.9071542033806877`*^9, 3.907154205439467*^9}, 3.907154243354714*^9, {
   3.9071925003412123`*^9, 3.9071925421019783`*^9}, {3.907193072085243*^9, 
   3.9071931145571547`*^9}, {3.907193183845601*^9, 3.907193194005323*^9}, {
   3.9072250050869427`*^9, 
   3.907225008008362*^9}},ExpressionUUID->"225a45b8-e871-4a8e-bf89-\
49184b48034e"],

Cell[BoxData[
 RowBox[{"ContourPlot", "[", 
  RowBox[{
   StyleBox["XXXXX",
    FontColor->RGBColor[1, 0, 0]], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", " ", 
     RowBox[{
      RowBox[{"-", "rmax"}], "/", 
      SuperscriptBox["10", 
       RowBox[{"-", "9"}]]}], ",", " ", 
     RowBox[{"rmax", "/", 
      SuperscriptBox["10", 
       RowBox[{"-", "9"}]]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", 
     RowBox[{
      RowBox[{"-", "rmax"}], "/", 
      SuperscriptBox["10", 
       RowBox[{"-", "9"}]]}], ",", " ", 
     RowBox[{"rmax", "/", 
      SuperscriptBox["10", 
       RowBox[{"-", "9"}]]}]}], "}"}], ",", 
   RowBox[{"PlotRange", "->", " ", "All"}], ",", 
   RowBox[{"FrameLabel", "->", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Style", "[", 
       RowBox[{"\"\<x[nm]\>\"", ",", "Bold", ",", "16"}], "]"}], ",", 
      RowBox[{"Style", "[", 
       RowBox[{"\"\<y[nm]\>\"", ",", "Bold", ",", "16"}], "]"}]}], "}"}]}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.907147395868404*^9, 3.9071474008347683`*^9}, {
   3.9071477421061363`*^9, 3.9071477598255663`*^9}, {3.907147886979332*^9, 
   3.907147930922412*^9}, {3.907150241971868*^9, 3.9071503122160883`*^9}, {
   3.907150591159195*^9, 3.907150596171178*^9}, {3.907192180669731*^9, 
   3.907192197123163*^9}, {3.907193323893134*^9, 3.9071933293171577`*^9}, {
   3.907193377894857*^9, 3.9071933914594*^9}, 
   3.907225013876368*^9},ExpressionUUID->"f02d9d15-45da-425e-8369-\
7c452a7cabef"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   StyleBox["XXXXX",
    FontColor->RGBColor[1, 0, 0]], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{
      RowBox[{"-", " ", "rmax"}], "/", 
      SuperscriptBox["10", 
       RowBox[{"-", "9"}]]}], ",", " ", 
     RowBox[{"rmax", "/", 
      SuperscriptBox["10", 
       RowBox[{"-", "9"}]]}]}], "}"}], ",", 
   RowBox[{"AxesLabel", "->", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Style", "[", 
       RowBox[{"\"\<x[nm]\>\"", ",", "Bold", ",", "16"}], "]"}], ",", 
      RowBox[{"Style", "[", 
       RowBox[{
       "\"\<|\[Phi]\!\(\*SuperscriptBox[\(|\), \(2\)]\)[arb. u]\>\"", ",", 
        "Bold", ",", "16"}], "]"}]}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.907150214333693*^9, 3.907150232538597*^9}, {
   3.907150322543332*^9, 3.907150327135407*^9}, {3.907150602572825*^9, 
   3.907150604339085*^9}, {3.907193434246125*^9, 3.907193457378611*^9}, 
   3.907225028252047*^9},ExpressionUUID->"5fe33287-85b1-48a0-8348-\
c2cf6b0fad14"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.907225034056897*^9, 
  3.9072250340603437`*^9}},ExpressionUUID->"f1549a33-22e2-4716-b5bc-\
2ef17ee5709e"]
}, Open  ]]
}, Open  ]]
},
WindowSize->{1305, 1005},
WindowMargins->{{210, Automatic}, {Automatic, 0}},
FrontEndVersion->"12.3 for Mac OS X x86 (64-bit) (July 9, 2021)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"cb10abe4-5e89-4bb4-8fba-f2682eed07ee"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 262, 4, 122, "Section",ExpressionUUID->"0a906ba8-814c-41cb-818d-c81c2f1dd999"],
Cell[845, 28, 454, 9, 65, "Text",ExpressionUUID->"863d26c3-80c6-47f6-879e-48c484add599"],
Cell[1302, 39, 4659, 131, 744, "Input",ExpressionUUID->"6e844ce8-f7ad-4eac-a028-e411e1e409b5"],
Cell[5964, 172, 334, 6, 65, "Text",ExpressionUUID->"eb7579af-69c3-4576-9d7a-fa0c6559c703"],
Cell[6301, 180, 2956, 72, 504, "Input",ExpressionUUID->"225a45b8-e871-4a8e-bf89-49184b48034e"],
Cell[9260, 254, 1477, 39, 226, "Input",ExpressionUUID->"f02d9d15-45da-425e-8369-7c452a7cabef"],
Cell[CellGroupData[{
Cell[10762, 297, 1017, 27, 179, "Input",ExpressionUUID->"5fe33287-85b1-48a0-8348-c2cf6b0fad14"],
Cell[11782, 326, 154, 3, 67, InheritFromParent,ExpressionUUID->"f1549a33-22e2-4716-b5bc-2ef17ee5709e"]
}, Open  ]]
}, Open  ]]
}
]
*)

